Package ru.bitel.bgbilling.modules.agr.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.agr.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction
класс-модель транзакции модуля AGR.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgrPaymentName()`
  Получение названия платежной системы, через которую реально было проведено пополнение.
  `AGREnvironment`
  `getEnvironment()`
  Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой.
  `Transaction`
  `setAgrPaymentName(String agrPaymentName)`
  Установка названия платежной системы, через которую реально было проведено пополнение.
  `Transaction`
  `setContractComment(String contractComment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setCreateDate(Date createDate)`
  `Transaction`
  `setEnvironment(AGREnvironment environment)`
  Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой.
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setPaymentId(int paymentId)`
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `Transaction`
  `setTransactionDate(Date transactionDate)`
  `Transaction`
  `setTransactionId(String transactionId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setParameters, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getAgrPaymentName

    public String getAgrPaymentName()
    Получение названия платежной системы, через которую реально было проведено пополнение.
    Returns:
      название платежной системы

  - ### getEnvironment

    public AGREnvironment getEnvironment()
    Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Returns:

  - ### setAgrPaymentName

    public Transaction setAgrPaymentName(String agrPaymentName)
    Установка названия платежной системы, через которую реально было проведено пополнение.
    Parameters:
      `agrPaymentName` - название платежной системы

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setCreateDate

    public Transaction setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BGAbstractTransaction`

  - ### setEnvironment

    public Transaction setEnvironment(AGREnvironment environment)
    Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Parameters:
      `environment` -

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setPaymentId

    public Transaction setPaymentId(int paymentId)
    Overrides:
      `setPaymentId` in class `BGAbstractTransaction`

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setTransactionDate

    public Transaction setTransactionDate(Date transactionDate)
    Overrides:
      `setTransactionDate` in class `BGAbstractTransaction`

  - ### setTransactionId

    public Transaction setTransactionId(String transactionId)
    Overrides:
      `setTransactionId` in class `BGAbstractTransaction`